ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Donald <dona...@apache.org>
Subject Re: Again: Cannot use classic compiler, as it is not available
Date Sun, 26 Nov 2000 14:40:47 GMT
At 03:38  26/11/00 +0100, you wrote:
>Hello,
>
>I'm using ant 1.2 / java1.3 as it comes with the latest Linux-debian-woody.
>Unfortunately I get the following output:
>
>    build:
>        [javac] Compiling 345 source files to
/home/joze/tmp/svgtoolkit-20001010/classes
>        [javac] Modern compiler is not available - using classic compiler
>
>    BUILD FAILED
>
>    ... build.xml:52: Cannot use classic compiler, as it is not available
>
>
>reading thru the latest mails from this list I tried the suggestions
>
>    export JAVA_HOME=/usr/lib/j2sdk1.3/

Try 

export JAVA_HOME=/usr/lib/j2sdk1.3

(remove the last slash)

If that doesn't work - place an echo right before ant command is called and
see what value of CLASSPATH/JAVA_HOME/ANT_HOME etc is right before calling
ant. This will give you a hint to whats going wrong. If that doesn't help -
send results of that + running ant with -verbose to the list and we will
try to help ;)

Cheers,

Pete

*-----------------------------------------------------*
| "Faced with the choice between changing one's mind, |
| and proving that there is no need to do so - almost |
| everyone gets busy on the proof."                   |
|              - John Kenneth Galbraith               |
*-----------------------------------------------------*


Mime
View raw message